Bug 1164018 - Add trac to epel7
Summary: Add trac to epel7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: trac
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Felix Schwarz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-13 22:24 UTC by Fabian Affolter
Modified: 2016-02-22 23:58 UTC (History)
3 users (show)

Fixed In Version: trac-1.0.8-2.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-22 23:58:21 UTC


Attachments (Terms of Use)

Description Fabian Affolter 2014-11-13 22:24:28 UTC
I would like to have trac available in EPEL7. To split the work I can offer
co-maintainership.

Comment 1 Felix Schwarz 2014-11-14 00:27:53 UTC
I'm a bit sceptical about trac for EPEL 7 ( https://bugzilla.redhat.com/show_bug.cgi?id=907066#c7 ) but I wouldn't oppose an EPEL 7 package if you like to co-maintain. If still think EPEL 7 is better than copper, please let me know.

Comment 2 Kevin Fenzi 2014-12-05 16:42:13 UTC
I'm interested in it for Fedora Infrastructure as well. 

We could do what we do with mediawiki for it?

ie, trac10, trac11, trac12 parallel installable packages... as they go out of support retire them and people can migrate to the newer supported ones.

Comment 3 Felix Schwarz 2014-12-05 18:22:33 UTC
(In reply to Kevin Fenzi from comment #2)
> ie, trac10, trac11, trac12 parallel installable packages... as they go out
> of support retire them and people can migrate to the newer supported ones.

Honestly I'd like to avoid retiring packages in EPEL. On the other hand it's clear that many people want newer packages for end-user visible visible stuff. The thing which annoys me most about EPEL is that we don't have any way to notify EPEL users about the fact that a package is going to retire and that there is no concept of defined "breaks" (similar to RHEL minor releases) so admins can take some time to check package updates at that point in time.

So personally I'm not interested in maintaining Trac in EPEL 7 but I'm certainly willing to have a look at spec files/debug problems if necessary. 

Also I'm not sure about Trac 1.1 in EPEL because they don't make any stability promise even between 1.1.x and 1.1.y so this breaks the concept of "unattended" updates.

Ok, back to the actual topic: If you want to maintain trac in EPEL 7, please go ahead. I don't have any hard feeling about the suggested approaches but I don't want to take responsibility for them. :-)

Comment 4 Kevin Fenzi 2015-01-03 20:36:19 UTC
Alright. Completely fair. 

I guess the only question I have left off hand is if we should make trac-0.12 just 'trac' and if we move to a trac-1.2 sometime, just retire 'trac' in favor of a 'trac12' package. Ie, should we make 0.12 parallel installable from the start, or just do so when we move to 1.2.

Comment 5 Fedora Update System 2016-02-06 22:33:38 UTC
trac-1.0.8-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ffdd17384a

Comment 6 Kevin Fenzi 2016-02-06 22:44:32 UTC
Looks like daveisfera decided we should ship 1.0.8. :) 

(adding him to cc here). 

I've not looked lately, but would it be better to wait for 1.2.0 since we will want to support things for a long time in epel7.

Also, just as a side note: 1.0.9 is out.

Comment 7 Dave Johansen 2016-02-06 22:51:39 UTC
Sorry, I was unaware of this is discussion and needed trac on RHEL 7 at work, so I just built what was from Fedora Rawhide. I'm totally ok with using 1.2 for EL 7, but is it close to release? The only info I could find on there page was that it was expected to be released in July 2015, which was why I decided to just go with what Fedora Rawhide had.

Comment 8 Kevin Fenzi 2016-02-07 00:31:30 UTC
Yeah, they definitely seem behind. I suppose one of us could post to their devel list... but it sounds like 1.2 isn't going to be out super soon. 

http://trac.edgewall.org/roadmap shows it '6 days late' and 1.0.10 as '5 weeks late'

So, likely going with 1.0 is fine for now and we can figure out if 1.2 will be a ok upgrade or if we have to shift to a trac12 package.

Comment 9 Fedora Update System 2016-02-08 03:49:52 UTC
trac-1.0.8-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ffdd17384a

Comment 10 Fedora Update System 2016-02-22 23:58:18 UTC
trac-1.0.8-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.